summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-02-14 09:50:28 (GMT)
committerJunio C Hamano <junkio@cox.net>2007-02-14 09:50:28 (GMT)
commit958545c5a11e5d6745e34df28abdd4a03a1f40fa (patch)
treee9a4d4e43d8c32fb619c88211be00ffee1300f37
parent4b02c5290e410e6bbb58b507942f722dff9d76a8 (diff)
downloadgit-958545c5a11e5d6745e34df28abdd4a03a1f40fa.zip
git-958545c5a11e5d6745e34df28abdd4a03a1f40fa.tar.gz
git-958545c5a11e5d6745e34df28abdd4a03a1f40fa.tar.bz2
Clarify two backward incompatible repository options.
It was unclear if the backward compatible features were disabled or the configuration variables that controls them were set to false by default from the description. Obviously we meant the former, but the problem was made worse by the fact that one configuration variable breaks compatibility when set to true and the other one breaks it when set to false. Signed-off-by: Junio C Hamano <junkio@cox.net>
-rw-r--r--Documentation/RelNotes-1.5.0.txt10
1 files changed, 8 insertions, 2 deletions
diff --git a/Documentation/RelNotes-1.5.0.txt b/Documentation/RelNotes-1.5.0.txt
index f0120e1..0989ded 100644
--- a/Documentation/RelNotes-1.5.0.txt
+++ b/Documentation/RelNotes-1.5.0.txt
@@ -25,12 +25,18 @@ Specifically, the available options are:
older clients over dumb transports (e.g. http) using older
versions of git will also be affected.
+ To let git use the new loose object format, you have to
+ set core.legacyheaders to false.
+
- Since v1.4.3, configuration repack.usedeltabaseoffset allows
packfile to be created in more space efficient format, which
cannot be read by git older than that version.
-The above two are not enabled by default and you explicitly have
-to ask for them, because these two features make repositories
+ To let git use the new format for packfiles, you have to
+ set repack.usedeltabaseoffset to true.
+
+The above two new features are not enabled by default and you
+have explicitly to ask for them, because they make repositories
unreadable by older versions of git, and in v1.5.0 we still do
not enable them by default for the same reason. We will change
this default probably 1 year after 1.4.2's release, when it is